## GogDataEditor

GogDataEditor

## Functions

void | gog_data_allocator_allocate ()
GogDataEditor * | gog_data_allocator_editor ()
void | gog_data_editor_set_format ()
void | gog_data_editor_set_value_double ()

## Types and Values

| GogDataAllocator
| GogDataAllocatorClass
| GogDataEditorClass
enum | GogDataType

## Object Hierarchy

        GInterface
        ╰── GogDataAllocator

## Description

## Functions

### gog_data_allocator_allocate ()

    void
    gog_data_allocator_allocate (GogDataAllocator *dalloc,
                                 GogPlot *plot);

#### Parameters

dalloc | a GogDataAllocator |
plot | a GogPlot |

### gog_data_allocator_editor ()

    GogDataEditor *
    gog_data_allocator_editor (GogDataAllocator *dalloc,
                               GogDataset *set,
                               int dim_i,
                               GogDataType data_type);

#### Parameters

dalloc | a GogDataAllocator |

#### Returns

a GtkWidget.

[transfer full]

### gog_data_editor_set_format ()

    void
    gog_data_editor_set_format (GogDataEditor *editor,
                                GOFormat const *fmt);

### gog_data_editor_set_value_double ()

    void
    gog_data_editor_set_value_double (GogDataEditor *editor,
                                      double val,
                                      GODateConventions const *date_conv);

## Types and Values

### GogDataAllocator

    typedef struct _GogDataAllocator GogDataAllocator;

### GogDataAllocatorClass

    typedef struct {
    	GTypeInterface		   base;

    	void	        (*allocate) (GogDataAllocator *a, GogPlot *plot);
    	GogDataEditor * (*editor)   (GogDataAllocator *a, GogDataset *set,
    				     int dim_i, GogDataType data_type);
    } GogDataAllocatorClass;

#### Members

GTypeInterface `base`; | base interface. |
`allocate` () | provides data to a GogPlot. |
`editor` () | returns the GogDataEditor. |

### GogDataEditorClass

    typedef struct {
    	GTypeInterface		   base;

    	void     (*set_format)       (GogDataEditor *editor,
    				      GOFormat const *fmt);
    	void     (*set_value_double) (GogDataEditor *editor, double val,
    				      GODateConventions const *date_conv);
    } GogDataEditorClass;

Interface to edit GOData.

#### Members

GTypeInterface `base`; | base interface. |
`set_format` () | sets the GOFormat |
`set_value_double` () | sets a value as a double. |

### enum GogDataType

#### Members

GOG_DATA_SCALAR | scalar value. |
GOG_DATA_VECTOR | vector data. |
GOG_DATA_MATRIX | matrix data. |